package xaero.rotatenjump.game.levels;

import xaero.rotatenjump.game.Game;
import xaero.rotatenjump.game.Level;
import xaero.rotatenjump.game.object.Accelerator;
import xaero.rotatenjump.game.object.Coin;
import xaero.rotatenjump.game.object.Platform;
import xaero.rotatenjump.game.object.Wall;

/**
 * Created by xaero on 10/07/2017.
 */

public class Level6 extends Level {

    public Level6(){
        buttonText = "6";
        winOnAttach = false;
        scoreboardX = 450;
        scoreboardY = 500;
        threeStarTime = 500;
    }

    @Override
    public void constructLevel(Game game) {
        super.constructLevel(game);
        game.gameStarted = false;
        deadlyDepth = 500;
        //add(game, new Coin(100, -20));
        add(game, new Wall(200, -110, 0, 20, 250, 0));
        add(game, new Wall(325, -225, -90, 20, 250, 0));
        add(game, new Wall(450, -110, 0, 20, 250, 0));
        add(game, new Coin(100, -180));
        add(game, new Wall(60, -180, 0, 20, 250, 0));
        add(game, new Platform(195, -285, 6, 0, 30, -1.5f));
        add(game, new Coin(295, -250));
        add(game, new Platform(395, -285, 6, 0, 30, -1.5f));
        add(game, new Coin(495, -250));
        add(game, new Accelerator(520, -245f, 120, 9));
        add(game, new Platform(545, -140, 6, 0, 20, -1.5f));
        add(game, new Platform(545, -40, 6, 0, 20, -1.5f));
        add(game, new Coin(450, 50));
    }
}
